[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible: also umount /proc in cleanup()

Holger Levsen holger at moszumanska.debian.org
Fri May 1 10:47:24 UTC 2015


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit ebec753adc89feb0ff8870d2d2609555f6be87ef
Author: Holger Levsen <holger at layer-acht.org>
Date:   Fri May 1 12:46:31 2015 +0200

    reproducible: also umount /proc in cleanup()
---
 bin/reproducible_setup_schroot.sh | 1 +
 1 file changed, 1 insertion(+)

diff --git a/bin/reproducible_setup_schroot.sh b/bin/reproducible_setup_schroot.sh
index a0d3a8b..a5d7986 100755
--- a/bin/reproducible_setup_schroot.sh
+++ b/bin/reproducible_setup_schroot.sh
@@ -108,6 +108,7 @@ EOF
 
 cleanup() {
 	if [ -d $CHROOT_TARGET ]; then
+		sudo umount -l $CHROOT_TARGET/proc || true
 		sudo rm -rf --one-file-system $CHROOT_TARGET || fuser -mv $CHROOT_TARGET
 	fi
 }

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list